#pragma once

#include <QtWidgets/QMainWindow>
#include <QByteArray>
#include <QStringList>
#include "ui_MainWindow.h"

class MainWindow : public QMainWindow
{
	Q_OBJECT

public:
	MainWindow(QWidget *parent = Q_NULLPTR);
	~MainWindow();

private:
	Ui::MainWindowClass* ui;
	int m_curSeverity;
	void setupWidgets();
	QByteArray m_fileInfo;
	

private slots:
	void openFile();
	void aboutFile();
	void aboutTool();

public slots:
	void printMessage(QString message, int severity);
	void setFileInfo(QString name, QStringList textures, int vertices, int triangle);

signals:
	void loadFile(QString);
};
